Drupal 7 gotcha re: server errors
  • Just in case anyone else runs into this -

    I just upgraded a D6 site to D7 and lost the ability to post or get recent posts using MarsEdit.
    Specifically, I was getting complaints of the form "Server error. Requested method metaWeblog.getRecentPosts not specified."

    What made this especially frustrating is that I have other D7 sites wherein ME works fine.

    Well it turns out that when enabling BlogAPI, not only do you need to turn on the "MovableType Provider for BlogAPI" (which is obvious, because Drupal uses the MT scheme) but you also need "MetaWeblog Provider for BlogAPI".
    Once the penny dropped on that, I had myself set up just fine.
  • Daniel JalkutDaniel Jalkut
    Accepted Answer
    Hi Sam - thanks for sharing and I'm glad you were able to figure this out! Hopefully it will help other Drupal users who run into the same snag.
Start a New Discussion

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!